Groovy 1.7.0

## org.codehaus.groovy.util
Class AbstractConcurrentMap.Segment

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMap.Segment

    class AbstractConcurrentMap.Segment

Constructor Summary
`protected AbstractConcurrentMap.Segment(int initialCapacity)`

Method Summary
`protected Entry` | `createEntry(K key, int hash, V value)`
`V` | `get(K key, int hash)`
`Entry` | `getOrPut(K key, int hash, V value)`
`Entry` | `put(K key, int hash, V value)`
`void` | `remove(K key, int hash)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AbstractConcurrentMap.Segment

    protected AbstractConcurrentMap.Segment(int initialCapacity)

Method Detail

### createEntry

    protected Entry createEntry(K key, int hash, V value)

### get

    public V get(K key, int hash)

### getOrPut

    public Entry getOrPut(K key, int hash, V value)

### put

    public Entry put(K key, int hash, V value)

### remove

    public void remove(K key, int hash)

Copyright © 2003-2009 The Codehaus. All rights reserved.